Loading...
Searching...
No Matches
ranges::enumerate_fn Struct Reference
Iterator
Inheritance diagram for ranges::enumerate_fn:

## Public Member Functions

template<typename Rng > requires range<Rng>
constexpr std::pair< range_difference_t< Rng >, iterator_t< Rng > > | operator() (Rng &&rng) const
Public Member Functions inherited from ranges::iter_enumerate_fn
template<typename I , typename S > requires sentinel_for<S, I>
constexpr std::pair< iter_difference_t< I >, I > | operator() (I first, S last) const